#
# spec file for package rubygem-facets
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-facets
Version:        3.1.0
Release:        lp151.1.1
%define mod_name facets
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://rubyworks.github.com/facets
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        The orginal well curated collection of extension methods for Ruby
License:        BSD-2-Clause
Group:          Development/Languages/Ruby

%description
Facets is the premier collection of extension methods for the Ruby programming
language. Facets extensions are unique by virtue of thier atomicity. They are
stored in individual files allowing for highly granular control of
requirements. In addition, Facets includes a few additional classes and mixins
suitable to wide variety of applications.

%prep

%build

%install
%gem_install \
  --doc-files="HISTORY.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Tue May 10 2016 coolo@suse.com
- updated to version 3.1.0
  see installed HISTORY.md
  [#]# 3.1.0 / 2016-05-10
  More or less a minor release, but there are some backward incompatabilites
  such as `Hash#except!` which no longer returns the rejected entries (use
  `Hash#remove!` for old behavior).
  Special thanks to Scott Parrish for all his help getting Facets in tip-top
  shape.
  Changes:
  * New Features
  * Add `Hash#remove!` for old `except!` behavior.
  * Add `Array#standard_deviation`.
  * Add `Array#variance`.
  * Add `Array#average`.
  * Add `Numeric#delimit`.
  * Improved Features
  * Change `Hash#except!` to not return rejected entries.
  * Improve definition of Character Set in `String.random`.
  * Add one to denominator of `String#similarity` score.
  * Enhanced download methods.
  * Improvements on compatability with ActiveSupport.
  * Enumerable#from and #thru return empty set when index is out of bounds.
  * Bug Fixes
  * Fix `Enumerable#key_by`.
  * Fix `Enumerable#sum` to take initial value.
* Fri Feb  6 2015 coolo@suse.com
- updated to version 3.0.0
  This major release has been a long time in coming --too long in fact. As with
  any "Point Oh" release, please expect a few hiccups and report them so we can
  get a solid 3.1 release out as soon as possible.
  This release is tailored for Ruby 2.0 and above. Ruby 1.9.x and older is no
  longer supported. If you still need to use Facets with Ruby 1.9.x or older
  then the excellent Backports project can be used to fill in the gaps.
  Changes:
  * New Features
  * Add Array#arrange
  * Add Array#intersection
  * Add Array#missing
  * Add Array#uniqe_permutation
  * Add Dir.lookup method
  * Add Enumerator::Lazy#squeeze
  * Add Hash#fetch_nested
  * Add Kernel#instance_extract
  * Add Math#EC for Euler's constant
  * Add Pathname#chdir
  * Add Pathname#readline
  * Add Proc.wrap (may become `Kernel#Proc()`)
  * Add Range#- and Range#+
  * Add Regexp#to_proc
  * Add String#each_match as alias for #mscan
  * Add Time.current
  * Improved Features
  * Enumerable#sum argument is initial value.
  * Hash#collate can take multiple arguments.
  * Hash#collate no longer flattens automatically.
  * Time#past? and #future? use Time.current.
  * Better ActiveSupport compatibility.
* Wed Aug  1 2012 coolo@suse.com
- updated to version 2.9.3
* Fri May 28 2010 mrueckert@suse.de
- update to version 2.8.4
* Wed Jan  6 2010 prusnak@suse.cz
- updated to 2.8.1
* Fri Dec 25 2009 prusnak@suse.cz
- update to version 2.8.0
* Mon Jan 26 2009 mrueckert@suse.de
- update to version 2.5.0
* Tue May 22 2007 mrueckert@suse.de
- update to 1.8.54
* Wed Sep 13 2006 mrueckert@suse.de
- update to 1.7.46
